
-- by modelleicher //Edited by MeMyselfandI for DPS Boost Simulation
--

dpsboost = {};

function dpsboost.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function dpsboost:load(xmlFile)

		 
    self.dpsboost = false
		 
	-- dpsboost Symbol--
	
	self.huddpsboost_yesPosX = 0.85;
    self.huddpsboost_yesWidth = 0.1;
    self.huddpsboost_yesPosY = 0.2;
    self.huddpsboost_yesHeight = 0.1;

	self.infoPaneldpsboostPath = Utils.getFilename("dps_boost_yes.png", self.baseDirectory);
	self.huddpsboost_yesOverlay = Overlay:new("huddpsboost_yesOverlay", self.infoPaneldpsboostPath, self.huddpsboost_yesPosX, self.huddpsboost_yesPosY, self.huddpsboost_yesWidth, self.huddpsboost_yesHeight);

	self.showHuddpsboost_yes = false;

				 
end;

function dpsboost:delete()

	  -- dpsboostsymbol --
    if self.huddpsboostyesOverlay ~= nil then
		self.huddpsboost_yesOverlay:delete();
	end;
end;

function dpsboost:mouseEvent(posX, posY, isDown, isUp, button)
end;

function dpsboost:keyEvent(unicode, sym, modifier, isDown)
end;

function dpsboost:update(dt)

    if self:getIsActiveForInput() and self.isEntered then
    		
		if InputBinding.hasEvent(InputBinding.boost) then
		   	if self.dpsboost == false then
		   	   self.dpsboost = true
		   	else
		   		self.dpsboost = false
		   	end;
		end;

		
   		-- DPS Symbol Status --
   		if self.dpsboost == true then
					self.showHuddpsboost_yes = true
					else
					self.showHuddpsboost_yes = false
		end;
   		

		-- dpsboost -- driveMode 2 = dpsboost , driveMode 0 = kein Antrieb --
		if self.dpsboost == true then
                self.torquerpm = 2500 
                self.torque = 7.5
                self.maxRpm = 2800
		
                if self.dpsboost == false then
                self.torquerpm = 2000
                self.torque = 7.1
                self.maxRpm = 2000
		end;

             end;
	   				
	end;			 

end;

function dpsboost:draw()
		
  	if self.showHuddpsboost_yes and self.isEntered then
		self.huddpsboost_yesOverlay:render();
	end;

end;

